liboggz 1.1.3

Typedefs | Functions
oggz_write.h File Reference

Interfaces for writing Ogg files and streams. More...

Go to the source code of this file.

## Typedefs
typedef int(* | OggzWriteHungry) (OGGZ *oggz, int empty, void *user_data)
| This is the signature of a callback which Oggz will call when oggz is hungry .

## Functions
int | oggz_write_set_hungry_callback (OGGZ *oggz, OggzWriteHungry hungry, int only_when_empty, void *user_data)
| Set a callback for Oggz to call when oggz is hungry .
int | oggz_write_feed (OGGZ *oggz, ogg_packet *op, long serialno, int flush, int *guard)
| Add a packet to oggz's packet queue.
long | oggz_write_output (OGGZ *oggz, unsigned char *buf, long n)
| Output data from an OGGZ handle.
long | oggz_write (OGGZ *oggz, long n)
| Write n bytes from an OGGZ handle.
long | oggz_write_get_next_page_size (OGGZ *oggz)
| Query the number of bytes in the next page to be written.

## Detailed Description

Interfaces for writing Ogg files and streams.